Preconditioner.cpp File Reference
`#include "Preconditioner.h"`
`#include "Options.h"`
`#include "PasoUtil.h"`
`#include "SystemMatrix.h"`

## Namespaces

| paso

## Functions

void | paso::Preconditioner_free (Preconditioner *in)
Preconditioner * | paso::Preconditioner_alloc (SystemMatrix_ptr< double > A, Options *options)
void | paso::Preconditioner_solve (Preconditioner *prec, SystemMatrix_ptr< double > A, double *x, double *b)